=== debian/changelog ===
h3-pg (4.1.3-2) unstable; urgency=medium

  * Test-depend on cmake.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Nov 2023 11:36:26 +0100

h3-pg (4.1.3-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2023 10:41:51 +0000
