=== debian/tests/control ===
Depends:
 cmake (>= 3.20),
 make,
 postgresql-16-postgis-3,
 @,
Tests: installcheck
Restrictions: allow-stderr
