## h3-pg 4.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # Listing the version is nice here since it sets lots of useful variables
 project(
   h3-pg
-  VERSION 4.1.3
+  VERSION 4.1.4
   LANGUAGES C
 )
 # set this to "${PROJECT_VERSION}" on release
