=== h3/CMakeLists.txt ===
--- 
+++ 
@@ -73,6 +73,7 @@
     sql/updates/h3--4.1.0--4.1.1.sql
     sql/updates/h3--4.1.1--4.1.2.sql
     sql/updates/h3--4.1.2--4.1.3.sql
+    sql/updates/h3--4.1.3--4.1.4.sql
 )
 
 # configure
