=== debian/changelog ===
h3-pg (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2024 10:21:02 +0100

h3-pg (4.1.3-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Include math.h to have fabs.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 17:45:19 +0200

h3-pg (4.1.3-3) unstable; urgency=medium

  * Configure using dh_auto_configure to get verbose builds.
  * Test-Depend on build-essential and postgresql-server-dev-NN.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Nov 2023 21:30:51 +0000
