## h3-pg 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022 Bytes & Brains
+# Copyright 2022 Zacharias Knudsen
 # 
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -30,14 +30,14 @@
 # Listing the version is nice here since it sets lots of useful variables
 project(
   h3-pg
-  VERSION 4.1.4
+  VERSION 4.2.2
   LANGUAGES C
 )
 # set this to "${PROJECT_VERSION}" on release
 set(INSTALL_VERSION "${PROJECT_VERSION}")
 #set(INSTALL_VERSION "unreleased")
-set(H3_CORE_VERSION 4.1.0)
-set(H3_CORE_SHA256 ec99f1f5974846bde64f4513cf8d2ea1b8d172d2218ab41803bf6a63532272bc)
+set(H3_CORE_VERSION 4.2.0)
+set(H3_CORE_SHA256 438db46fc2b388785d2a0d8e26aa5509739240a7b50b2510c416778d871a4e11)
 
 # If you set any CMAKE_ variables, that can go here.
 # (But usually don't do this, except maybe for C++ standard)
