=== h3/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     src/init.c
     src/opclass_btree.c
     src/opclass_hash.c
+    src/opclass_spgist.c
     src/operators.c
     src/srf.c
     src/type.c
@@ -36,6 +37,7 @@
     sql/install/11-opclass_btree.sql
     sql/install/12-opclass_hash.sql
     sql/install/13-opclass_brin.sql
+    sql/install/14-opclass_spgist.sql
     sql/install/20-casts.sql
     sql/install/30-extension.sql
     sql/install/99-deprecated.sql
@@ -74,6 +76,9 @@
     sql/updates/h3--4.1.1--4.1.2.sql
     sql/updates/h3--4.1.2--4.1.3.sql
     sql/updates/h3--4.1.3--4.1.4.sql
+    sql/updates/h3--4.1.4--4.2.0.sql
+    sql/updates/h3--4.2.0--4.2.1.sql
+    sql/updates/h3--4.2.1--4.2.2.sql
 )
 
 # configure
