=== h3_postgis/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,9 @@
     sql/updates/h3_postgis--4.1.1--4.1.2.sql
     sql/updates/h3_postgis--4.1.2--4.1.3.sql
     sql/updates/h3_postgis--4.1.3--4.1.4.sql
+    sql/updates/h3_postgis--4.1.4--4.2.0.sql
+    sql/updates/h3_postgis--4.2.0--4.2.1.sql
+    sql/updates/h3_postgis--4.2.1--4.2.2.sql
 )
 
 # link
