=== h3/test/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   opclass_brin
   opclass_btree
   opclass_hash
+  opclass_spgist
   regions
   traversal
   type
