=== debian/changelog ===
h3-pg (4.2.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Feb 2025 12:07:30 +0100

h3-pg (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2.
  * Disable antimeridian test failing on ppc64el.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2025 12:07:30 +0100
