=== debian/tests/control ===
Depends:
 build-essential,
 cmake (>= 3.20),
 postgresql-12-postgis-3, postgresql-13-postgis-3, postgresql-14-postgis-3, postgresql-15-postgis-3, postgresql-16-postgis-3, postgresql-17-postgis-3,
 postgresql-server-dev-12, postgresql-server-dev-13, postgresql-server-dev-14, postgresql-server-dev-15, postgresql-server-dev-16, postgresql-server-dev-17,
 @,
Tests: installcheck
Restrictions: allow-stderr
