=== h3_postgis/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
     sql/updates/h3_postgis--4.1.4--4.2.0.sql
     sql/updates/h3_postgis--4.2.0--4.2.1.sql
     sql/updates/h3_postgis--4.2.1--4.2.2.sql
+    sql/updates/h3_postgis--4.2.2--4.2.3.sql
 )
 
 # link
