=== h3/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 set(TESTS
+  clustering
+  deprecated
+  edge
   extension
   hierarchy
   indexing
@@ -11,7 +14,7 @@
   regions
   traversal
   type
-  edge
+  vertex
 )
 
 if(PostgreSQL_REGRESS)
