=== h3_postgis/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 set(TESTS
+  deprecations
   postgis
   rasters
 )
