=== debian/changelog ===
h3-pg (4.2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117260)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 14:36:10 +0200

h3-pg (4.2.3-1) experimental; urgency=medium

  * New upstream version 4.2.3.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jun 2025 12:00:24 +0200
