=== debian/control ===
Source: h3-pg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 cmake (>= 3.20),
 libh3-dev (>= 4.2.0),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 256~),
Standards-Version: 4.7.2
Homepage: https://github.com/zachasme/h3-pg
Vcs-Browser: https://salsa.debian.org/postgresql/h3-pg
Vcs-Git: https://salsa.debian.org/postgresql/h3-pg.git

Package: postgresql-18-h3
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL bindings for H3, a hierarchical hexagonal geospatial indexing system
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains the PostgreSQL 18 extension.
