=== debian/rules ===
#!/usr/bin/make -f

PGVERSIONS = $(shell pg_buildext supported-versions)

%:
	dh $@ --with pgxs

override_dh_auto_clean:

override_dh_auto_configure:
	+pg_buildext run \
		dh_auto_configure -B build-%v -- -DPostgreSQL_CONFIG=/usr/lib/postgresql/%v/bin/pg_config

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest
	# testsuite creates its own PG instance and doesn't use extension_destdir (yet?)
