=== debian/tests/control ===
Depends:
 build-essential,
 cmake (>= 3.20),
 postgresql-18-postgis-3,
 postgresql-server-dev-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
