=== debian/watch ===
version=4
https://github.com/zachasme/h3-pg/tags .*/v(.*).tar.gz
